<script>
  import { createEventDispatcher } from 'svelte'
  import { login } from './api.js'
  
  let prompt_login = true;
  let login_promise;
  let username;
  let password;
  const dispatch = createEventDispatcher()
  function attemptLogin() {
    prompt_login = false;
    login_promise = login(username, password).then((res) => {
      dispatch('login', {
        'username': username,
        'token': res.body.token
      })
    });
  }
</script>

{#if prompt_login }
  <h1>Log in to the cash register</h1>
  <form>
    <input type='text' bind:value={username} placeholder='Username'>
    <input type='password' bind:value={password} placeholder='Password'>
    <button on:click|preventDefault={attemptLogin}>Log in</button>
  </form>
{:else}
  {#await login_promise}
    <h1>Logging in&hellip;</h1>
  {:then value}
    <!-- success! -->
  {:catch error}
    <h1>Error {error}</h1>
  {/await}
{/if}
